To do:

    On boarding
    Think about the flow -> there is a need for account? I think yes bcs I want to save username,  
    create account
    need an onBoarding process -> yes -> connect wallet
    